Get Account
curl --request GET \
--url https://api.sandbox.sudo.cards/accounts/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/accounts/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Account fetched successfully.",
"data": {
"_id": "6a26b1a448fe5e287ce408d0",
"business": "696edb9889c90df3bcdbe067",
"customer": "6a26b14a48fe5e287ce40899",
"type": "wallet",
"currency": "USD",
"accountName": "John Doemain",
"bankCode": "SudoHUSMC",
"accountType": "Current",
"accountNumber": "b9803bdc-5f40-47e2-b3f9-a447a4260cfe",
"currentBalance": 0,
"availableBalance": 0,
"provider": "SudoHUSMC",
"providerReference": "b9803bdc-5f40-47e2-b3f9-a447a4260cfe",
"referenceCode": "b9803bdc-5f40-47e2-b3f9-a447a4260cfe",
"reloadable": true,
"isDefault": false,
"isDeleted": false,
"createdAt": "2026-06-08T12:12:20.345Z",
"updatedAt": "2026-06-08T12:12:20.345Z",
"charges": [],
"__v": 0
}
}{
"statusCode": 400,
"message": "Invalid account id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Account not found.",
"data": null
}Accounts
Get Account
Fetches a specific account object. Provide the account _id and the corresponding object will be returned.
GET
/
accounts
/
{id}
Get Account
Authorizations
Path Parameters
The _id of the account you wish to fetch.
⌘I
